
From: Adrian Bunk <bunk@fs.tum.de>

The patch below lets all cpu options default to "y".



---

 arch/i386/Kconfig |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+)

diff -puN arch/i386/Kconfig~cpu-options-default-to-y arch/i386/Kconfig
--- 25/arch/i386/Kconfig~cpu-options-default-to-y	2004-01-16 18:30:12.000000000 -0800
+++ 25-akpm/arch/i386/Kconfig	2004-01-16 18:30:12.000000000 -0800
@@ -147,11 +147,13 @@ comment "Select all processors your kern
 
 config CPU_386
 	bool "386"
+	default y
 	help
 	  Select this for a 386 series processor.
 
 config CPU_486
 	bool "486"
+	default y
 	help
 	  Select this for a 486 series processor, either Intel or one of the
 	  compatible processors from AMD, Cyrix, IBM, or Intel.  Includes DX,
@@ -160,6 +162,7 @@ config CPU_486
 
 config CPU_586
 	bool "586/K5/5x86/6x86/6x86MX"
+	default y
 	help
 	  Select this for a non-Intel 586 or 686 series processor such as
 	  the AMD K5 or the Cyrix 6x86MX.
@@ -173,41 +176,48 @@ config CPU_586
 
 config CPU_586TSC
 	bool "Pentium-Classic"
+	default y
 	help
 	  Select this for a Pentium Classic processor with the RDTSC (Read
 	  Time Stamp Counter) instruction.
 
 config CPU_586MMX
 	bool "Pentium-MMX"
+	default y
 	help
 	  Select this for a Pentium with the MMX graphics/multimedia
 	  extended instructions.
 
 config CPU_686
 	bool "Pentium-Pro"
+	default y
 	help
 	  Select this for Intel Pentium Pro chips.
 
 config CPU_PENTIUMII
 	bool "Pentium-II/Celeron(pre-Coppermine)"
+	default y
 	help
 	  Select this for Intel chips based on the Pentium-II and
 	  pre-Coppermine Celeron core.
 
 config CPU_PENTIUMIII
 	bool "Pentium-III/Celeron(Coppermine)/Pentium-III Xeon"
+	default y
 	help
 	  Select this for Intel chips based on the Pentium-III and
 	  Celeron-Coppermine core.
 
 config CPU_PENTIUMM
 	bool "Pentium M"
+	default y
 	help
 	  Select this for Intel Pentium M (not Pentium-4 M)
 	  notebook chips.
 
 config CPU_PENTIUM4
 	bool "Pentium-4/Celeron(P4-based)/Pentium-4 M/Xeon"
+	default y
 	help
 	  Select this for Intel Pentium 4 chips.  This includes
 	  the Pentium 4, P4-based Celeron and Xeon, and
@@ -215,42 +225,50 @@ config CPU_PENTIUM4
 
 config CPU_K6
 	bool "K6/K6-II/K6-III"
+	default y
 	help
 	  Select this for an AMD K6, K6-II or K6-III (aka K6-3D).
 
 config CPU_K7
 	bool "Athlon/Duron/K7"
+	default y
 	help
 	  Select this for an AMD Athlon K7-family processor.
 
 config CPU_K8
 	bool "Opteron/Athlon64/Hammer/K8"
+	default y
 	help
 	  Select this for an AMD Opteron or Athlon64 Hammer-family processor.
 
 config CPU_CRUSOE
 	bool "Crusoe"
+	default y
 	help
 	  Select this for a Transmeta Crusoe processor.
 
 config CPU_WINCHIPC6
 	bool "Winchip-C6"
+	default y
 	help
 	  Select this for an IDT Winchip C6 chip.
 
 config CPU_WINCHIP2
 	bool "Winchip-2"
+	default y
 	help
 	  Select this for an IDT Winchip-2.
 
 config CPU_WINCHIP3D
 	bool "Winchip-2A/Winchip-3"
+	default y
 	help
 	  Select this for an IDT Winchip-2A or 3 with 3dNow!
 	  capabilities.
 
 config CPU_CYRIXIII
 	bool "Cyrix III/VIA C3"
+	default y
 	help
 	  Select this for a Cyrix III or VIA C3 chip.
 
@@ -259,6 +277,7 @@ config CPU_CYRIXIII
 
 config CPU_VIAC3_2
 	bool "VIA C3-2 (Nehemiah)"
+	default y
 	help
 	  Select this for a VIA C3 "Nehemiah" (model 9 and above).
 

_
